Package org.eclipse.mat.report.internal

## Class PartsFactory

- java.lang.Object
- - org.eclipse.mat.report.internal.PartsFactory

    public class PartsFactory
    extends java.lang.Object

### Constructor Summary

Constructors
`PartsFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractPart` `create​(AbstractPart parent, Spec spec)`
`AbstractPart` `createClone​(AbstractPart template, Spec spec)`
`AbstractPart` `createRoot​(Spec spec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartsFactory

    public PartsFactory()

### Method Detail

#### createRoot

    public AbstractPart createRoot​(Spec spec)

#### create

    public AbstractPart create​(AbstractPart parent,
                               Spec spec)

#### createClone

    public AbstractPart createClone​(AbstractPart template,
                                    Spec spec)